%global make_common_opts \\\
	PACKAGE_NAME=%{name} \\\
	RPM_VERSION=%{version} \\\
	RPM_RELEASE=%{release} \\\
	DISPLAY_VERSION=%{version}-%{release} \\\
	PREFIX=%{_prefix} \\\
	DATAROOT_DIR=%{_datadir} \\\
	PKG_DATA_DIR=%{_datadir}/%{name} \\\
	%{nil}

Name:           patternfly1
Summary:        PatternFly open interface project and its dependencies
Version:        1.3.0
Release:        2%{?release_suffix}%{?dist}
License:        ASL 2.0
Group:          Applications/Internet
URL:            https://github.com/patternfly/patternfly
Source:         patternfly-1.3.0.tar.gz
Patch1:         datatable-global-search-not-work.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
PatternFly open interface project, with dependencies bundled

%prep
%setup -q -n patternfly-1.3.0
%patch1 -p0

%build
make %{?_smp_mflags} %{make_common_opts}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} %{make_common_opts} install DESTDIR="%{buildroot}"
cp -pR less/ %{buildroot}%{_datadir}/%{name}/resources/less

%files
%{_datadir}/%{name}/

%changelog
* Thu Jul 28 2016 Simon Zhang <chuzhang@redhat.com> 1.3.0-2
- including less

* Wed Jul 27 2016 Simon Zhang <chuzhang@redhat.com> 1.3.0-1
- patch patternfly with datatable-global-search-not-work.patch

* Fri Oct 17 2014 Tomas Kasparek <tkasparek@redhat.com> 1.0.5-4
- specify file path

* Fri Oct 17 2014 Tomas Kasparek <tkasparek@redhat.com> 1.0.5-3
- patch patternfly with satellite-color-stripe.patch

* Fri Sep 26 2014 Tomas Kasparek <tkasparek@redhat.com> 1.0.5-2
- new package built with tito

* Fri Jun 20 2014 Greg Sheremeta <gshereme@redhat.com> - 1.0.3-1
- Initial version.

